This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 462580 - Review Request: wstx - Woodstox Stax Implementation
Review Request: wstx - Woodstox Stax Implementation
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2008-09-17 06:25 EDT by John Guthrie
Modified: 2009-10-29 07:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-29 07:09:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Guthrie 2008-09-17 06:25:07 EDT
Spec URL: http://www.guthrie.info/RPMS/f9/wstx.spec
SRPM URL: http://www.guthrie.info/RPMS/f9/wstx-3.1.1-3.1.fc9.src.rpm
Description: Woodstox is a high-performance validating namespace-aware
StAX-compliant (JSR-173) Open Source XML-processor written
in Java.
XML processor means that it handles both input (== parsing)
and output (== writing, serialization)), as well as
supporting tasks such as validation.
Comment 1 Mary Ellen Foster 2008-11-25 08:03:17 EST
This package didn't build in mock for me (fedora-9-i386); amid a lot of warnings was the following error:

    [javac] 98. ERROR in /builddir/build/BUILD/wstx/src/java/com/ctc/wstx/evt/WAttribute.java (at line 97)
    [javac] 	public String getDTDType() {
    [javac] 	       ^^^^^^
    [javac] The return type is incompatible with Attribute.getDTDType()
 

If I build (locally) with OpenJDK instead of GCJ, it builds fine, so this seems to be an incompatibility in the signature of that method. Not sure what the solution is.
Comment 2 Mary Ellen Foster 2008-11-25 08:12:05 EST
While I'm at it, here are some rpmlint warnings on the OpenJDK-built packages:

wstx.i386: W: no-documentation
(probably not an issue, but should some of the files from the "manual" subpackage maybe be included as documentation in the main package?)

wstx.i386: W: non-conffile-in-etc /etc/maven/fragments/wstx
(should it be marked %config(noreplace) ?)

wstx.i386: E: explicit-lib-dependency msv-xsdlib
(false positive because of the package name matching "*lib*")

wstx.i386: W: non-standard-group Development/Libraries/Java
(should be "Development/Libraries"?)

wstx-j2me.i386: W: no-documentation
(no big issue)

wstx-j2me.i386: W: non-standard-group Development/Libraries/Java
(==> "Development/Libraries" ?)

wstx-javadoc.i386: W: non-standard-group Development/Documentation
(==> "Documentation" ?)

wstx-manual.i386: W: file-not-utf8 /usr/share/doc/wstx-3.1.1/CREDITS
(run iconv on it during the build:
inside %prep:
    iconv -f CREDITS > tmp.utf8
    mv tmp.utf8 CREDITS
)

wstx-manual.i386: W: non-standard-group Development/Documentation
(==> "Documentation" ?)
Comment 3 Jason Tibbitts 2009-03-24 22:44:07 EDT
It's been a long time since the previous comment with no response; I'll close this soon if nothing happens.
Comment 4 John Guthrie 2009-04-01 09:47:52 EDT
I apologize for the non-response.  I've been looking on a search results page for someone to actually assign this review request to themselves.  (It would be nice if there was some way to get last time modified into search results on bugzilla.)  Anyway, I am re-opening this bug and I will have a response to the issues brought up soon.
Comment 5 Thomas Janssen 2009-10-04 05:38:25 EDT
What exactly means soon in this case? The last response is already 5+ months ago.
Are you still with us or is it now dead?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Thomas Janssen 2009-10-29 07:09:45 EDT
Well, nothing happens. No response. I close this now.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.